DFU 1.1 Support?

Tormod Volden lists.tormod at gmail.com
Wed Nov 2 16:18:25 CET 2011

On Wed, Nov 2, 2011 at 4:14 PM, Tormod Volden wrote:
> 2011/11/2 Yohan PAINCHAUD:
>> Is this library supporting the DFU specification 1.1 ?
>> I read in the mailing-list that the version 0.5 may support it, but not yet
>> tested?  I saw that the DFU 1.1 has few attributes modified, as for example
>> the Run-Time DFU Functional Descriptor, but in the 0.5 version, only a
>> modification concerning the bitWillDetach flag has been done. Maybe the
>> others changes have been implemented in an older version?

Oh and by the way, having the bitWillDetach flag set is not mandatory
for a DFU 1.1 device, and we already supported the 1.1 devices which
had this flag cleared also before 0.5 as far as I know. Just that I
don't know of any 1.1 devices :)


More information about the devel mailing list